#ifndef PINS_H
#define PINS_H

// Revised PINS.H for Propeller ASC+ by Loopy Byteloose Sat 03 May 2014 07:10:24 PM CST 

#if MOTHERBOARD == 0  // PropellerASC+
#warning "PropellerASC+  VERIFY PINS I/O "

/****************************************************************************************
* PropellerASC pin assignment
*
*                PropellerASC+
*                   +-\/-+
*              D0  1|    |40  D31 (RX<)			(AI 5)
*              D1  2|    |39  D30 (TX>)			(AI 4)
*              D2  3|    |38  D28 			(AI 3)
*              D3  4|    |37  D27 			(AI 2)
*              D4  5|    |36  D26 			(AI 1)
*              D5  6|    |35  D25			(AI 0)
*              D6  7|    |34  D24
*              D7  8|    |33  D23
*                  9|    |32     
*                 10|    |31            
*                 11|    |30           
*                 12|    |29               
*              D8 13|    |28  D22           
*              D9 14|    |27  D21 
*             D10 15|    |26  D20          
*             D11 16|    |25  D19 
*             D12 17|    |24  D18 
*             D13 18|    |23  D17 
*             D14 19|    |22  D16           * Propeller may provide PWM on any io pin*
*             D15 20|    |21  D15 
*                   +----+
****************************************************************************************/

#define X_STEP_PIN          1
#define X_DIR_PIN           2
#define X_ENABLE_PIN        3
#define X_MIN_PIN           4
#define X_MAX_PIN           5

#define Y_STEP_PIN          6
#define Y_DIR_PIN           7
#define Y_ENABLE_PIN        8
#define Y_MIN_PIN           9
#define Y_MAX_PIN          10

#define Z_STEP_PIN         11
#define Z_DIR_PIN          12
#define Z_ENABLE_PIN       13
#define Z_MIN_PIN          14
#define Z_MAX_PIN          15

#define E_STEP_PIN         16
#define E_DIR_PIN          17
#define E_ENABLE_PIN       18

#define LED_PIN            19
#define FAN_PIN            20
#define PS_ON_PIN          21
#define KILL_PIN           22

#define HEATER_0_PIN       23
#define TEMP_0_PIN          0    // MUST USE ANALOG INPUT NUMBERING NOT DIGITAL OUTPUT NUMBERING!!!!!!!!!


/****************************************************************************************/



#else

#error Unknown MOTHERBOARD value in parameters.h

#endif

#endif

